// epanet_toolkit_quality_example.cpp : Example console application to demonstrate EPANET Toolkit usage

#include "epanet2.h"
#include <iostream>

int main(int argc, char* argv[])
{
	int i, num_nodes;
	long t, tleft;
	float value;

	switch(argc)
	{
		case 2:
			ENopen(argv[1], "", "");
			break;
		case 3:
			ENopen(argv[1], argv[2], "");
			break;
		case 4:
			ENopen(argv[1], argv[2], argv[3]);
			break;
		default:
			std::cout << "USAGE: epanet_toolkit_quality_example inpfile [reportfile] [binaryresultfile]";
			break;
	}
	ENgetcount(EN_NODECOUNT, &num_nodes);
	ENsolveH();
	// First quality with individual value output
	ENopenQ();  
    ENinitQ(0);  
	do 
	{  
		ENrunQ(&t);
		for(i = 0; i < num_nodes; i++)
		{
			ENgetnodevalue(i, EN_QUALITY, &value);
			std::cout << value << "\n";
		}
		ENstepQ(&tleft);  
	} while (tleft > 0);
	ENcloseQ();
	// Second quality run to generate data for ENreport()
    ENsolveQ();
	ENreport();
	ENclose();

	return 0;
}
